Performing C SOURCE FILE Test HAVE_STD_C99 failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec487323937.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:30:49.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec487323937.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec487323937.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec487323937.dir\Debug\cmTryCom.15AAD692.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec487323937.dir\Debug\cmTryCom.15AAD692.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_STD_C99 /D _LARGEFILE_SOURCE /D _LARGE_FILES /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec487323937.dir\Debug\\" /Fd"cmTryCompileExec487323937.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue  -std=c99 src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_STD_C99 /D _LARGEFILE_SOURCE /D _LARGE_FILES /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec487323937.dir\Debug\\" /Fd"cmTryCompileExec487323937.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue  -std=c99 src.c

  

cl : Command line warning D9002: ignoring unknown option '-std=c99' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec487323937.vcxproj]

  src.c

Link:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\link.exe /ERRORREPORT:QUEUE /OUT:"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec487323937.exe" /INCREMENTAL /NOLOGO kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec487323937.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec487323937.lib" /MACHINE:X86 /SAFESEH  /machine:X86 /debug cmTryCompileExec487323937.dir\Debug\src.obj

  cmTryCompileExec487323937.vcxproj -> D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec487323937.exe

FinalizeBuildStatus:

  Deleting file "cmTryCompileExec487323937.dir\Debug\cmTryCom.15AAD692.tlog\unsuccessfulbuild".

  Touching "cmTryCompileExec487323937.dir\Debug\cmTryCom.15AAD692.tlog\cmTryCompileExec487323937.lastbuildstate".

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec487323937.vcxproj" (default targets).



Build succeeded.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec487323937.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  cl : Command line warning D9002: ignoring unknown option '-std=c99' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec487323937.vcxproj]



    1 Warning(s)

    0 Error(s)



Time Elapsed 00:00:00.64


Source file was:
int main(void) { return 0; }
Performing C SOURCE FILE Test HAVE_RESTRICT failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec231110606.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:30:50.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec231110606.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec231110606.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec231110606.dir\Debug\cmTryCom.4DC98270.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec231110606.dir\Debug\cmTryCom.4DC98270.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_RESTRICT /D _LARGEFILE_SOURCE /D _LARGE_FILES /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec231110606.dir\Debug\\" /Fd"cmTryCompileExec231110606.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_RESTRICT /D _LARGEFILE_SOURCE /D _LARGE_FILES /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec231110606.dir\Debug\\" /Fd"cmTryCompileExec231110606.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue src.c

  

  src.c

src.c(1): error C2061: syntax error : identifier 'foo' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec231110606.vcxproj]

src.c(1): error C2059: syntax error : ';' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec231110606.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec231110606.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec231110606.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  src.c(1): error C2061: syntax error : identifier 'foo' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec231110606.vcxproj]

  src.c(1): error C2059: syntax error : ';' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec231110606.vcxproj]



    0 Warning(s)

    2 Error(s)



Time Elapsed 00:00:00.38


Source file was:
int *restrict foo;
                             int main() {return 0;}
Performing C SOURCE FILE Test HAVE_INLINE failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec2670549103.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:30:50.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2670549103.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec2670549103.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec2670549103.dir\Debug\cmTryCom.E36878AC.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec2670549103.dir\Debug\cmTryCom.E36878AC.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_INLINE /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2670549103.dir\Debug\\" /Fd"cmTryCompileExec2670549103.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_INLINE /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2670549103.dir\Debug\\" /Fd"cmTryCompileExec2670549103.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue src.c

  

  src.c

src.c(1): error C2054: expected '(' to follow 'inline' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2670549103.vcxproj]

src.c(1): error C2085: 'foo' : not in formal parameter list [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2670549103.vcxproj]

src.c(1): error C2143: syntax error : missing ';' before '{' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2670549103.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2670549103.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2670549103.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  src.c(1): error C2054: expected '(' to follow 'inline' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2670549103.vcxproj]

  src.c(1): error C2085: 'foo' : not in formal parameter list [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2670549103.vcxproj]

  src.c(1): error C2143: syntax error : missing ';' before '{' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2670549103.vcxproj]



    0 Warning(s)

    3 Error(s)



Time Elapsed 00:00:00.39


Source file was:
inline void foo(void) { }
                             int main() {return 0;}
Performing C SOURCE FILE Test HAVE_C99_VLA failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec401594775.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:30:52.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec401594775.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec401594775.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec401594775.dir\Debug\cmTryCom.6790BC3F.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec401594775.dir\Debug\cmTryCom.6790BC3F.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_C99_VLA /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec401594775.dir\Debug\\" /Fd"cmTryCompileExec401594775.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_C99_VLA /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec401594775.dir\Debug\\" /Fd"cmTryCompileExec401594775.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue src.c

  

  src.c

src.c(3): error C2057: expected constant expression [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec401594775.vcxproj]

src.c(3): error C2466: cannot allocate an array of constant size 0 [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec401594775.vcxproj]

src.c(3): error C2133: 'tmp' : unknown size [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec401594775.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec401594775.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec401594775.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  src.c(3): error C2057: expected constant expression [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec401594775.vcxproj]

  src.c(3): error C2466: cannot allocate an array of constant size 0 [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec401594775.vcxproj]

  src.c(3): error C2133: 'tmp' : unknown size [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec401594775.vcxproj]



    0 Warning(s)

    3 Error(s)



Time Elapsed 00:00:00.40


Source file was:
int main(int argc, char *argv[])
 {
     volatile int tmp[argc];
     tmp[0] = argv[0][0];
     return tmp[0];
 }
Performing C SOURCE FILE Test HAVE_C11_STATIC_ASSERT failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec811590468.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:30:53.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec811590468.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec811590468.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec811590468.dir\Debug\cmTryCom.EB6CF1D8.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec811590468.dir\Debug\cmTryCom.EB6CF1D8.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_C11_STATIC_ASSERT /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec811590468.dir\Debug\\" /Fd"cmTryCompileExec811590468.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_C11_STATIC_ASSERT /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec811590468.dir\Debug\\" /Fd"cmTryCompileExec811590468.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue src.c

  

  src.c

src.c(3): warning C4013: '_Static_assert' undefined; assuming extern returning int [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec811590468.vcxproj]

Link:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\link.exe /ERRORREPORT:QUEUE /OUT:"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec811590468.exe" /INCREMENTAL /NOLOGO kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec811590468.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec811590468.lib" /MACHINE:X86 /SAFESEH  /machine:X86 /debug cmTryCompileExec811590468.dir\Debug\src.obj

src.obj : error LNK2019: unresolved external symbol __Static_assert referenced in function _main [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec811590468.vcxproj]

D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec811590468.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec811590468.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec811590468.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec811590468.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  src.c(3): warning C4013: '_Static_assert' undefined; assuming extern returning int [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec811590468.vcxproj]





"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec811590468.vcxproj" (default target) (1) ->

(Link target) -> 

  src.obj : error LNK2019: unresolved external symbol __Static_assert referenced in function _main [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec811590468.vcxproj]

  D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec811590468.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec811590468.vcxproj]



    1 Warning(s)

    2 Error(s)



Time Elapsed 00:00:00.57


Source file was:
int main()
 {
     _Static_assert(sizeof(int) == sizeof(int), "What");
     return 0;
 }
Performing C SOURCE FILE Test HAVE_C11_ALIGNAS failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec465339092.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:30:54.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec465339092.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec465339092.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec465339092.dir\Debug\cmTryCom.BA29D2CE.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec465339092.dir\Debug\cmTryCom.BA29D2CE.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_C11_ALIGNAS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec465339092.dir\Debug\\" /Fd"cmTryCompileExec465339092.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_C11_ALIGNAS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec465339092.dir\Debug\\" /Fd"cmTryCompileExec465339092.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue src.c

  

  src.c

src.c(1): error C2143: syntax error : missing ')' before 'constant' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec465339092.vcxproj]

src.c(1): error C2143: syntax error : missing '{' before 'constant' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec465339092.vcxproj]

src.c(1): error C2059: syntax error : 'constant' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec465339092.vcxproj]

src.c(1): error C2059: syntax error : ')' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec465339092.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec465339092.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec465339092.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  src.c(1): error C2143: syntax error : missing ')' before 'constant' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec465339092.vcxproj]

  src.c(1): error C2143: syntax error : missing '{' before 'constant' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec465339092.vcxproj]

  src.c(1): error C2059: syntax error : 'constant' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec465339092.vcxproj]

  src.c(1): error C2059: syntax error : ')' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec465339092.vcxproj]



    0 Warning(s)

    4 Error(s)



Time Elapsed 00:00:00.41


Source file was:
_Alignas(16) int foo;
 int main()
 {
     return 0;
 }
Performing C SOURCE FILE Test HAVE_C11_ATOMIC failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec1007995893.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:30:55.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1007995893.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec1007995893.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec1007995893.dir\Debug\cmTryCom.4E430AC1.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec1007995893.dir\Debug\cmTryCom.4E430AC1.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_C11_ATOMIC /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1007995893.dir\Debug\\" /Fd"cmTryCompileExec1007995893.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_C11_ATOMIC /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1007995893.dir\Debug\\" /Fd"cmTryCompileExec1007995893.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue src.c

  

  src.c

src.c(1): fatal error C1083: Cannot open include file: 'stdatomic.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1007995893.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1007995893.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1007995893.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  src.c(1): fatal error C1083: Cannot open include file: 'stdatomic.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1007995893.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.47


Source file was:
#include <stdatomic.h>
 int _Atomic foo;
 int main()
 {
     return atomic_load(&foo);
 }
Performing C SOURCE FILE Test HAVE_GCC_FORMAT failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec3578788086.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:30:55.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3578788086.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec3578788086.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec3578788086.dir\Debug\cmTryCom.6F5E14A2.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec3578788086.dir\Debug\cmTryCom.6F5E14A2.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_GCC_FORMAT /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3578788086.dir\Debug\\" /Fd"cmTryCompileExec3578788086.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D HAVE_GCC_FORMAT /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3578788086.dir\Debug\\" /Fd"cmTryCompileExec3578788086.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue src.c

  

  src.c

src.c(1): error C2061: syntax error : identifier '__attribute__' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3578788086.vcxproj]

src.c(1): error C2059: syntax error : ';' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3578788086.vcxproj]

src.c(1): error C2059: syntax error : ',' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3578788086.vcxproj]

src.c(1): error C2143: syntax error : missing ')' before 'constant' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3578788086.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3578788086.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3578788086.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  src.c(1): error C2061: syntax error : identifier '__attribute__' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3578788086.vcxproj]

  src.c(1): error C2059: syntax error : ';' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3578788086.vcxproj]

  src.c(1): error C2059: syntax error : ',' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3578788086.vcxproj]

  src.c(1): error C2143: syntax error : missing ')' before 'constant' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3578788086.vcxproj]



    0 Warning(s)

    4 Error(s)



Time Elapsed 00:00:00.41


Source file was:
int foo(const char *str, ...) __attribute__((format(printf, 1, 2)));
                         int main() {return 0;}
Determining if the include file stdalign.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec3960212892.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:30:57.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3960212892.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec3960212892.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec3960212892.dir\Debug\cmTryCom.D0AB1346.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec3960212892.dir\Debug\cmTryCom.D0AB1346.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3960212892.dir\Debug\\" /Fd"cmTryCompileExec3960212892.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3960212892.dir\Debug\\" /Fd"cmTryCompileExec3960212892.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'stdalign.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3960212892.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3960212892.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3960212892.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'stdalign.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3960212892.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.39



Determining if the include file ftw.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec3312506190.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:30:58.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3312506190.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec3312506190.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec3312506190.dir\Debug\cmTryCom.1BB50E25.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec3312506190.dir\Debug\cmTryCom.1BB50E25.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3312506190.dir\Debug\\" /Fd"cmTryCompileExec3312506190.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3312506190.dir\Debug\\" /Fd"cmTryCompileExec3312506190.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'ftw.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3312506190.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3312506190.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3312506190.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'ftw.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3312506190.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.42



Determining if the include file strings.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec4227787880.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:30:59.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4227787880.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec4227787880.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec4227787880.dir\Debug\cmTryCom.A6F30371.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec4227787880.dir\Debug\cmTryCom.A6F30371.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec4227787880.dir\Debug\\" /Fd"cmTryCompileExec4227787880.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec4227787880.dir\Debug\\" /Fd"cmTryCompileExec4227787880.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'strings.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4227787880.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4227787880.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4227787880.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'strings.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4227787880.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.39



Determining if the include file cpuid.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec3337921633.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:31:00.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3337921633.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec3337921633.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec3337921633.dir\Debug\cmTryCom.6F0A0515.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec3337921633.dir\Debug\cmTryCom.6F0A0515.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3337921633.dir\Debug\\" /Fd"cmTryCompileExec3337921633.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3337921633.dir\Debug\\" /Fd"cmTryCompileExec3337921633.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'cpuid.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3337921633.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3337921633.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3337921633.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'cpuid.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3337921633.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.40



Determining if the include file sys/sysconf.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec3489855022.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:31:01.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3489855022.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec3489855022.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec3489855022.dir\Debug\cmTryCom.30BE98E6.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec3489855022.dir\Debug\cmTryCom.30BE98E6.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3489855022.dir\Debug\\" /Fd"cmTryCompileExec3489855022.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3489855022.dir\Debug\\" /Fd"cmTryCompileExec3489855022.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'sys/sysconf.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3489855022.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3489855022.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3489855022.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'sys/sysconf.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3489855022.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.38



Determining if the include file ieeefp.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec808429817.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:31:04.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec808429817.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec808429817.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec808429817.dir\Debug\cmTryCom.D4A3CAA4.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec808429817.dir\Debug\cmTryCom.D4A3CAA4.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec808429817.dir\Debug\\" /Fd"cmTryCompileExec808429817.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec808429817.dir\Debug\\" /Fd"cmTryCompileExec808429817.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'ieeefp.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec808429817.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec808429817.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec808429817.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'ieeefp.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec808429817.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.39



Determining if the function pow exists in the m failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec2587400513.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:31:06.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2587400513.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec2587400513.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec2587400513.dir\Debug\cmTryCom.EF6B82BF.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec2587400513.dir\Debug\cmTryCom.EF6B82BF.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=pow /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2587400513.dir\Debug\\" /Fd"cmTryCompileExec2587400513.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=pow /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2587400513.dir\Debug\\" /Fd"cmTryCompileExec2587400513.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  

  CheckFunctionExists.c

Link:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\link.exe /ERRORREPORT:QUEUE /OUT:"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec2587400513.exe" /INCREMENTAL /NOLOGO kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib m.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec2587400513.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec2587400513.lib" /MACHINE:X86 /SAFESEH  /machine:X86 /debug cmTryCompileExec2587400513.dir\Debug\CheckFunctionExists.obj

LINK : fatal error LNK1104: cannot open file 'm.lib' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2587400513.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2587400513.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2587400513.vcxproj" (default target) (1) ->

(Link target) -> 

  LINK : fatal error LNK1104: cannot open file 'm.lib' [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2587400513.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.48



Determining if the aligned_alloc exist failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec1001469356.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:31:07.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1001469356.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec1001469356.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec1001469356.dir\Debug\cmTryCom.1B86F25A.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec1001469356.dir\Debug\cmTryCom.1B86F25A.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1001469356.dir\Debug\\" /Fd"cmTryCompileExec1001469356.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckSymbolExists.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1001469356.dir\Debug\\" /Fd"cmTryCompileExec1001469356.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckSymbolExists.c

  

  CheckSymbolExists.c

CheckSymbolExists.c(8): error C2065: 'aligned_alloc' : undeclared identifier [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1001469356.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1001469356.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1001469356.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckSymbolExists.c(8): error C2065: 'aligned_alloc' : undeclared identifier [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1001469356.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.40


File D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <stdlib.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef aligned_alloc
  return ((int*)(&aligned_alloc))[argc];
#else
  (void)argc;
  return 0;
#endif
}

Determining if the posix_memalign exist failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec1901906460.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:31:07.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1901906460.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec1901906460.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec1901906460.dir\Debug\cmTryCom.69B06449.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec1901906460.dir\Debug\cmTryCom.69B06449.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1901906460.dir\Debug\\" /Fd"cmTryCompileExec1901906460.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckSymbolExists.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1901906460.dir\Debug\\" /Fd"cmTryCompileExec1901906460.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckSymbolExists.c

  

  CheckSymbolExists.c

CheckSymbolExists.c(8): error C2065: 'posix_memalign' : undeclared identifier [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1901906460.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1901906460.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1901906460.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckSymbolExists.c(8): error C2065: 'posix_memalign' : undeclared identifier [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1901906460.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.41


File D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <stdlib.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef posix_memalign
  return ((int*)(&posix_memalign))[argc];
#else
  (void)argc;
  return 0;
#endif
}

Determining if the function strcasecmp exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec4007970361.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:31:14.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4007970361.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec4007970361.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec4007970361.dir\Debug\cmTryCom.3D0AB2EE.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec4007970361.dir\Debug\cmTryCom.3D0AB2EE.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=strcasecmp /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec4007970361.dir\Debug\\" /Fd"cmTryCompileExec4007970361.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=strcasecmp /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec4007970361.dir\Debug\\" /Fd"cmTryCompileExec4007970361.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  

  CheckFunctionExists.c

Link:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\link.exe /ERRORREPORT:QUEUE /OUT:"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec4007970361.exe" /INCREMENTAL /NOLOGO kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec4007970361.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec4007970361.lib" /MACHINE:X86 /SAFESEH  /machine:X86 /debug cmTryCompileExec4007970361.dir\Debug\CheckFunctionExists.obj

CheckFunctionExists.obj : error LNK2019: unresolved external symbol _strcasecmp referenced in function _main [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4007970361.vcxproj]

D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec4007970361.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4007970361.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4007970361.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4007970361.vcxproj" (default target) (1) ->

(Link target) -> 

  CheckFunctionExists.obj : error LNK2019: unresolved external symbol _strcasecmp referenced in function _main [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4007970361.vcxproj]

  D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec4007970361.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4007970361.vcxproj]



    0 Warning(s)

    2 Error(s)



Time Elapsed 00:00:00.52



Determining if the function strncasecmp exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec3767621067.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:31:16.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3767621067.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec3767621067.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec3767621067.dir\Debug\cmTryCom.B11DC492.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec3767621067.dir\Debug\cmTryCom.B11DC492.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=strncasecmp /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3767621067.dir\Debug\\" /Fd"cmTryCompileExec3767621067.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=strncasecmp /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3767621067.dir\Debug\\" /Fd"cmTryCompileExec3767621067.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  

  CheckFunctionExists.c

Link:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\link.exe /ERRORREPORT:QUEUE /OUT:"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec3767621067.exe" /INCREMENTAL /NOLOGO kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec3767621067.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec3767621067.lib" /MACHINE:X86 /SAFESEH  /machine:X86 /debug cmTryCompileExec3767621067.dir\Debug\CheckFunctionExists.obj

CheckFunctionExists.obj : error LNK2019: unresolved external symbol _strncasecmp referenced in function _main [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3767621067.vcxproj]

D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec3767621067.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3767621067.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3767621067.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3767621067.vcxproj" (default target) (1) ->

(Link target) -> 

  CheckFunctionExists.obj : error LNK2019: unresolved external symbol _strncasecmp referenced in function _main [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3767621067.vcxproj]

  D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec3767621067.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3767621067.vcxproj]



    0 Warning(s)

    2 Error(s)



Time Elapsed 00:00:00.55



Determining if the function snprintf exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec3857896767.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:31:18.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3857896767.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec3857896767.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec3857896767.dir\Debug\cmTryCom.3593F045.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec3857896767.dir\Debug\cmTryCom.3593F045.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=snprintf /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3857896767.dir\Debug\\" /Fd"cmTryCompileExec3857896767.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=snprintf /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3857896767.dir\Debug\\" /Fd"cmTryCompileExec3857896767.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  

  CheckFunctionExists.c

Link:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\link.exe /ERRORREPORT:QUEUE /OUT:"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec3857896767.exe" /INCREMENTAL /NOLOGO kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec3857896767.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec3857896767.lib" /MACHINE:X86 /SAFESEH  /machine:X86 /debug cmTryCompileExec3857896767.dir\Debug\CheckFunctionExists.obj

CheckFunctionExists.obj : error LNK2019: unresolved external symbol _snprintf referenced in function _main [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3857896767.vcxproj]

D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec3857896767.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3857896767.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3857896767.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3857896767.vcxproj" (default target) (1) ->

(Link target) -> 

  CheckFunctionExists.obj : error LNK2019: unresolved external symbol _snprintf referenced in function _main [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3857896767.vcxproj]

  D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec3857896767.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec3857896767.vcxproj]



    0 Warning(s)

    2 Error(s)



Time Elapsed 00:00:00.53



Determining if the include file dlfcn.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec2265423657.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:31:21.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2265423657.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec2265423657.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec2265423657.dir\Debug\cmTryCom.59C6FB40.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec2265423657.dir\Debug\cmTryCom.59C6FB40.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2265423657.dir\Debug\\" /Fd"cmTryCompileExec2265423657.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2265423657.dir\Debug\\" /Fd"cmTryCompileExec2265423657.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'dlfcn.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2265423657.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2265423657.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2265423657.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'dlfcn.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2265423657.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.40



Determining if the include file arm_neon.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec4183970693.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:31:25.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4183970693.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec4183970693.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec4183970693.dir\Debug\cmTryCom.ACF58415.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec4183970693.dir\Debug\cmTryCom.ACF58415.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec4183970693.dir\Debug\\" /Fd"cmTryCompileExec4183970693.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec4183970693.dir\Debug\\" /Fd"cmTryCompileExec4183970693.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\include\arm_neon.h(17): fatal error C1189: #error :  This header is specific to ARM targets [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4183970693.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4183970693.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4183970693.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\include\arm_neon.h(17): fatal error C1189: #error :  This header is specific to ARM targets [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec4183970693.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.40



Determining if files SLES/OpenSLES.h;SLES/OpenSLES_Android.h exist failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec1801216783.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:31:30.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1801216783.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec1801216783.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec1801216783.dir\Debug\cmTryCom.9AEE9F6E.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec1801216783.dir\Debug\cmTryCom.9AEE9F6E.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1801216783.dir\Debug\\" /Fd"cmTryCompileExec1801216783.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFiles.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1801216783.dir\Debug\\" /Fd"cmTryCompileExec1801216783.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFiles.c

  

  CheckIncludeFiles.c

CheckIncludeFiles.c(2): fatal error C1083: Cannot open include file: 'SLES/OpenSLES.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1801216783.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1801216783.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1801216783.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFiles.c(2): fatal error C1083: Cannot open include file: 'SLES/OpenSLES.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec1801216783.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.38


Source:
/* */
#include <SLES/OpenSLES.h>
#include <SLES/OpenSLES_Android.h>


int main(){return 0;}

Determining if files pthread.h exist failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/build/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec2197149269.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:31:30.

Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2197149269.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec2197149269.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec2197149269.dir\Debug\cmTryCom.2B2EBC8B.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec2197149269.dir\Debug\cmTryCom.2B2EBC8B.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2197149269.dir\Debug\\" /Fd"cmTryCompileExec2197149269.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFiles.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2197149269.dir\Debug\\" /Fd"cmTryCompileExec2197149269.dir\Debug\vc120.pdb" /Gd /TC /analyze- /errorReport:queue CheckIncludeFiles.c

  

  CheckIncludeFiles.c

CheckIncludeFiles.c(2): fatal error C1083: Cannot open include file: 'pthread.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2197149269.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2197149269.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2197149269.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFiles.c(2): fatal error C1083: Cannot open include file: 'pthread.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\build\CMakeFiles\CMakeTmp\cmTryCompileExec2197149269.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.42


Source:
/* */
#include <pthread.h>


int main(){return 0;}

